package com.ydl.ydlcommon.router

import android.app.Activity
import android.content.Context
/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/03/24
 *
 * 调用上层模块方法的接口
 */
interface IYdlCommonRouter {

    fun startMain(activity: Activity, isSplashActivity: Boolean)

    fun startMain(context: Context, selectTab: Int, trend_tap: String?)

    fun setMoreService(context: Context)

    fun getUserInfo(): YdlUserInfo?

    fun getUid(): Int

}